## apmd-3.0.2.tar.gz

=== Makefile ===
# Makefile -- 
# Copyright 1996, 1997 Rickard E. Faith <faith@acm.org>
# Copyright 1999 Avery Pennarun <apenwarr@worldvisions.ca>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.30 2001/11/25 22:46:16 apenwarr Exp $
#

VERSION=3.0.2

ifneq (,)
This makefile requires GNU Make.
endif

.SUFFIXES:

OBJS=apmlib.o
EXES=apm apmd xapm apmsleep
HEADERS=apm.h

PREFIX=/usr
MANDIR=${PREFIX}/man
APMD_PROXY_DIR=/etc

CC=gcc
CFLAGS=-O -g
XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include \
		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
		-DVERSION=\"$(VERSION)\" \
		-DAPMD_PROXY_NAME=\"$(APMD_PROXY_DIR)/apmd_proxy\"
LDFLAGS=
XTRALDFLAGS=-L. -lapm
XLDFLAGS=-L/usr/X11R6/lib
XLIBS=-lXaw -lXmu -lXt -lXext -lSM -lICE -lX11
LIB=libapm.a
RANLIB=ranlib

# Uncomment these lines for a production compile
#CFLAGS=-O3 -m486 -fomit-frame-pointer
#LDFLAGS=-s

all: $(EXES)

$(OBJS): $(HEADERS)

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

%: %.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS)

xapm.o: xapm.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) -DNARROWPROTO $<

apmsleep: apmsleep.o

xapm: xapm.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS) $(XLDFLAGS) $(XLIBS)

libapm.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

.PHONY:	ChangeLog
ChangeLog:
	-rm -f ChangeLog
	rcs2log > ChangeLog

install: $(EXES)
	[ -d ${PREFIX}/bin      ] || install -d ${PREFIX}/bin
	[ -d ${PREFIX}/sbin     ] || install -d ${PREFIX}/sbin
	[ -d ${MANDIR}/man1     ] || install -d ${MANDIR}/man1
	[ -d ${MANDIR}/fr/man1  ] || install -d ${MANDIR}/fr/man1
	[ -d ${MANDIR}/man8     ] || install -d ${MANDIR}/man8
	[ -d ${PREFIX}/lib      ] || install -d ${PREFIX}/lib
	[ -d ${PREFIX}/include  ] || install -d ${PREFIX}/include
	[ -d ${APMD_PROXY_DIR}  ] || install -d ${APMD_PROXY_DIR}
	install        apm             ${PREFIX}/bin
	install        on_ac_power     ${PREFIX}/bin
	install -m 644 apm.1           ${MANDIR}/man1
	install        apmd            ${PREFIX}/sbin
	install -b -Vt apmd_proxy      ${APMD_PROXY_DIR}
	install -m 644 apmd.8          ${MANDIR}/man8
	install        xapm            ${PREFIX}/bin
	install -m 644 xapm.1          ${MANDIR}/man1/xapm.1
	install        apmsleep	       ${PREFIX}/bin
	install -m 644 apmsleep.1      ${MANDIR}/man1
	install -m 644 apmsleep.1.fr   ${MANDIR}/fr/man1
	install -m 644 libapm.a        ${PREFIX}/lib
	install -m 644 apm.h           ${PREFIX}/include

.PHONY:	clean distclean
distclean clean:
	-rm -f *.o *.s *~ core a.out build-stamp $(LIB) $(EXES)

=== debian/changelog ===
apmd (3.0.2-1) unstable; urgency=low

  * Change the way apmd_proxy is spawned, to prevent lockups when it runs
    subprocesses like pump or xlock. (closes: Bug#98604)
  * Getting rid of tailf (closes: Bug#83314, Bug#113153)
  * French version of apmsleep.1 (closes: Bug#118783)
  * Mark README as outdated and install README.transfer (closes: Bug#115705)
  * Don't use dh_installxaw (closes: Bug#120227)
  * apm.1 typo (closes: Bug#111897)
  * apmd.8 typos (closes: Bug#113806, Bug#117909)
  * Add configuration file "/etc/apm/apmd_proxy.conf" and debconf support.
  * Change "/etc/apm/apmd_proxy" to allow it to conditionally accept
    system-generated suspend and standby events.  (closes: Bug#67410,
    Bug#75421, Bug#82805)
  * Change "/etc/apm/apmd_proxy" to use run-parts, now that run-parts
    supports passing arguments to the called scripts.  (closes: Bug#83109,
    Bug#71539)
  * Change "/etc/apm/event.d/00hwclock" to call "/etc/init.d/hwclock.sh".
    (closes: Bug#94990)
  * Change "/etc/apm/event.d/00hwclock" to distinguish between resume from
    suspend and resume from standby.
  * Add "/etc/apm/event.d/20hdparm" to tune the hard drive when running on
    battery power.  Add "Suggests: hdparm" to support this feature.
  * Don't rebuild upstream ChangeLog in debian/rules; this wipes the old
    ChangeLog and then fails. (closes: Bug#119114)
  * Change debian/rules to define "DH_COMPAT=2", and to generate md5sums.
  * Update standards-version to 3.5.6.
  * Add necessary build-depends line to debian/control. (closes: Bug#119595)
  * Update filenames in debian/copyright.
  * Most of these patches are from Chris Hanson <cph@debian.org> but you
    should still blame me if it doesn't work.  Thanks, Chris, and sorry for
    the delay in getting this out!

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 25 Nov 2001 23:05:45 -0500

apmd (3.0.1-1) unstable; urgency=low

  * Various changes from upstream.  Builds from source on the newest libc.
  * Fixes bugs #59960, 67414, 70127, 76708, 79816, 82801, 82803, 94988,
  	54952.
 	
 -- Avery Pennarun <apenwarr@debian.org>  Fri, 11 May 2001 16:35:34 -0400

apmd (3.0final-2) frozen unstable; urgency=low

  * New debhelper and some changes to manpage paths.  Should fix bug#55219,
 	bug#55746, bug#59879, bug#59959.
 	
 -- Avery Pennarun <apenwarr@debian.org>  Thu, 18 May 2000 00:12:42 -0400

apmd (3.0final-1) unstable; urgency=low

  * Rebuilt for potato with new debhelper.  Since there haven't been any
 	new bugs in a long time, finally released 3.0final.
 
  * Architecture: any instead of i386, since other arches are now
 	implementing the same API, even if APM isn't exactly the same.
 	Fixes bug#51205.
	
  * Man page corrected; fixes bug#47701.
  
  * Close all file descriptors after fork(), so secure-attention-key (SAK)
  	won't kill us; fixes bug#37188.
  
  * Use xaw-wrappers for xapm; fixes bug#42750.
  
  * Store the hardware clock on suspend; fixes bug#42976.
  
 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:40:57 -0500

apmd (3.0beta9-2) unstable; urgency=low
  
  * Oops!  My debian apmd_proxy scripts were all screwed up.  I accidentally
 	installed the Red Hat one!  Fixes bug#42686, bug#42228

  * Close fd 0, 1, and 2 upon fork().  Fixed bug#37188.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  9 Aug 1999 18:38:39 -0400

apmd (3.0beta9-1) unstable; urgency=low
  
  * Bug fixes and improvements as we approach the 3.0final release.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 16:19:49 -0400

apmd (3.0beta8-1) unstable; urgency=low
  
  * Various bug fixes and improvements.  In particular, this is supposed
 	to eliminate excessive log messages, although I personally never saw
 	them anyway.

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 15 Jun 1999 20:25:12 -0400

apmd (3.0beta7-1) unstable; urgency=low
  
  * apmd: totally new apmd_proxy stuff from Craig Markwardt.  Now you can
  	handle pretty much _any_ APM event by adding scripts to
  	/etc/apm/event.d.
  
  * Hopefully we didn't lose anyone else's fixes... let me know if you
  	find a new bug!

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  5 Jun 1999 18:05:12 -0400

apmd (3.0beta6-1) unstable; urgency=low
  
  * apmd: new options for now-on-wall-power and now-on-battery events.
  
  * xapm: support for strangeness in the IBM ThinkPad 770X.  Set
    IBM_THINKPAD to 1 in xapm.c if you want this enabled.
    Also, we show a P or B in xapm to indicate wall or battery power.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  5 Apr 1999 00:59:55 -0400

apmd (3.0beta5-1) frozen unstable; urgency=high

  * We should be using fork(), not vfork() -- one-character change.  Fixes
    problems with 2.2.0 kernels.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 24 Jan 1999 00:29:24 -0500

apmd (3.0beta4-1) frozen unstable; urgency=low

  * I (upstream maintainer) relabeled the version number because the
    changes are useful beyond just Debian.
    
  * Distribution should have been "frozen unstable", not "frozen".  Oops.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:34:14 -0500

apmd (3.0beta3-3) frozen; urgency=low

  * /etc/init.d/apmd should not assume $GMT will be either -u or blank.
    Fixes bug#28731.
    
  * /etc/init.d/apmd still contained some references to /etc/apm-suspend.d
    and apm-resume.d; these should have been /etc/apm/suspend.d and
    resume.d.  Oops.  Fixes bug#27539.
    
  * Fixed some typos in the man pages.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Nov 1998 20:06:03 -0500

apmd (3.0beta3-2) unstable; urgency=low

  * Renamed /etc/apm-suspend.d and /etc/apm-resume.d to /etc/apm/suspend.d
    and resume.d, to reduce /etc clutter.

 -- Avery Pennarun <apenwarr@debian.org>  Mon, 14 Sep 1998 14:27:03 -0400

apmd (3.0beta3-1) unstable; urgency=low

  * New upstream version cleans up a few things and improves Thinkpad
    support.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 12 Sep 1998 14:34:11 -0400



=== debian/control ===
Source: apmd
Section: admin
Priority: extra
Maintainer: Avery Pennarun <apenwarr@debian.org>
Build-Depends: debhelper (>= 3.0.40), xlibs-dev, libxaw-dev
Standards-Version: 3.5.6

Package: apmd
Architecture: any
Depends: ${shlibs:Depends}, debconf
Suggests: hdparm
Description: Utilities for Advanced Power Management (APM) on laptops
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.  The apmd program also lets you run arbitrary programs
 when APM events happen (for example, you can eject PCMCIA devices when
 you suspend, or change hard drive timeouts when you connect the battery).
 .
 This package contains apmd(8), a daemon for logging and acting on APM
 events, apm(1), a client that prints /proc/apm, xapm(1x), an X11 utility
 that displays a little graph, on_ac_power(1), a program for shell scripts
 to determine if wall power is connected, and tailf(1) which follows the
 growth of a log file without writing to disk.
 .
 Recent Debian kernels include APM support which is disabled by default.
 You need to pass "apm=1" on your lilo command line if you want to enable
 apm.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

package	= apmd
DESTDIR	:= $(shell pwd)/debian/$(package)

MAKE_FLAGS=PREFIX=$(DESTDIR)/usr MANDIR=$(DESTDIR)/usr/share/man \
	APMD_PROXY_DIR=$(DESTDIR)/etc/apm/

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) ${MAKE_FLAGS} CFLAGS=-O2 LDFLAGS=
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) ${MAKE_FLAGS} install
	#mv $(DESTDIR)/usr/bin/xapm $(DESTDIR)/usr/bin/xapm.real
	install -m 0755 debian/apmd_proxy $(DESTDIR)/etc/apm/
	install -m 0755 debian/00hwclock  $(DESTDIR)/etc/apm/event.d/
	install -m 0755 debian/20hdparm $(DESTDIR)/etc/apm/event.d/
	install -m 0644 debian/apmd_proxy.conf $(DESTDIR)/usr/share/apmd

binary-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs			README README.transfer ANNOUNCE
#	dh_installexamples		apmlib.c
#	dh_installmenu
	dh_installinit			--noscripts
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
